Runtime Error!

You can get help here if Freeciv doesn't start on your computer, or if you keep getting fatal errors while playing etc.
User avatar
Arbogast
Elite
Posts: 412
Joined: Tue Jul 16, 2013 9:09 am
Location: France

Runtime Error!

Postby Arbogast » Mon Nov 21, 2016 4:20 pm

Runtime Error!
As of November 20, I get a Runtime Error on the following versions marked with an *.
It is strange since I have a French Windows. other softwares (non-Freeciv) run just fine.
My problem is that I know is a problem with Visual C++ library, but I don't know which files are needed.
I hope someone can give me hand because as of now I can't play at all

Freeciv-2.1.3-gtk2\-> not tested
Freeciv-2.3.4-gtk2\-> only one that works
Freeciv-2.5.5+r34080-gtk2\*
Freeciv-2.5.5+r34498-gtk2\*
Freeciv-2.6.0-alpha+r33382-gtk2\*
Freeciv-2.6.0-beta0+r33596-gtk2\*
Freeciv-2.6.0-beta0+r34230-gtk2\*
Freeciv-2.6.0-beta0+r34230-qt\-> This one loads, I get the following menu and when I Start (alt+S) the game then it hangs.
Freeciv-2.6.0-beta0+r34230-sdl\-> not tested
Freeciv-2.6.0-beta0+r34230-sdl2\-> not tested

Thank you profoundly.

User avatar
mir3x
Veteran
Posts: 110
Joined: Sat Jan 30, 2016 6:17 pm

Re: Runtime Error!

Postby mir3x » Mon Nov 21, 2016 6:05 pm


cazfi
Elite
Posts: 1709
Joined: Tue Jan 29, 2013 6:54 pm

Re: Runtime Error!

Postby cazfi » Mon Nov 21, 2016 6:11 pm

Visual C++ is not the compiler used to build freeciv, so freeciv does not use its runtime.

What version of Windows you were using, again? Vista is minimum requirement in freeciv-2.6 msys1 builds (I'll try to make another XP-compatible build of 2.6 soon, though). Latest msys2 builds require Win7, earlier Vista.

Does release build of new 2.5.6 work?

User avatar
mir3x
Veteran
Posts: 110
Joined: Sat Jan 30, 2016 6:17 pm

Re: Runtime Error!

Postby mir3x » Mon Nov 21, 2016 6:51 pm

>> Visual C++ is not the compiler used to build freeciv, so freeciv does not use its runtime.

Everything uses Visual C++ libs, its like glibc :D

User avatar
JTN
Elite
Posts: 462
Joined: Wed Jan 30, 2013 12:15 am

Re: Runtime Error!

Postby JTN » Mon Nov 21, 2016 8:54 pm

What exactly does the error message say?

User avatar
Arbogast
Elite
Posts: 412
Joined: Tue Jul 16, 2013 9:09 am
Location: France

Re: Runtime Error!

Postby Arbogast » Tue Nov 22, 2016 3:02 pm

Here it is, like I said, it is in English while the other messages from my Windows XP (32bit) are in French.
Runtime Error!.jpg


mir3x : For someone like me, that site is like Cambodian, that is : strange lingo, but thanks.
cazfi : I downloaded the new Version 2.5.6, but I have not installed them yet.

EDIT on the 23rd. :
installed the new 2.5.6 with the gtk2, sdl and qt.
With gtk2 won't go beyond the opening menu, I get the above message.
With qt and sdl work fine, even with different themes.

(those brain dead spamers...)

User avatar
mir3x
Veteran
Posts: 110
Joined: Sat Jan 30, 2016 6:17 pm

Re: Runtime Error!

Postby mir3x » Sun Nov 27, 2016 8:34 pm

I gave u link, go to last page .
Find microsoft link on page.
Click it.
Download.
Install.

User avatar
Arbogast
Elite
Posts: 412
Joined: Tue Jul 16, 2013 9:09 am
Location: France

Re: Runtime Error!

Postby Arbogast » Mon Nov 28, 2016 3:09 pm

mir3x :
Found it, downloaded it, ran it and got stumped.
Once I installed it, there was no further messages, so I figured that they were put in the right place(s).
The I tried 3 or 4 versions of Freeciv and got the same Run time Error.

(I'm getting very discouraged.)

User avatar
mir3x
Veteran
Posts: 110
Joined: Sat Jan 30, 2016 6:17 pm

Re: Runtime Error!

Postby mir3x » Tue Nov 29, 2016 8:00 am

Seems u need to install all version 2010, 2012, 2013, 2014 also
or try that AIO pack.

User avatar
Arbogast
Elite
Posts: 412
Joined: Tue Jul 16, 2013 9:09 am
Location: France

Re: Runtime Error!

Postby Arbogast » Tue Nov 29, 2016 3:01 pm

Merci !
I got the AIO one and I'm working on it.